//
//  ShareRecordModel.h
//  双子星云手机
//
//  Created by xd h on 2024/5/18.
//

#import "SuperModel.h"

NS_ASSUME_NONNULL_BEGIN

@interface ShareFileDataModel : SuperModel
@property (nonatomic, copy) NSString*fileName;
@property (nonatomic, copy) NSString*fileSize;
@property (nonatomic, copy) NSString*fileTime;
@property (nonatomic, copy) NSString*fileUrl;
@property (nonatomic, copy) NSString*headUrl;
//@property (nonatomic, assign) long  size;
//id
@end

@protocol ShareFileDataModel;
@interface ShareRecordListModel : SuperModel
@property (nonatomic, assign) NSInteger expirationDay;//有效期
@property (nonatomic, copy) NSString* extractionCode;//提取码
@property (nonatomic, copy) NSString* token;//
@property (nonatomic, copy) NSString* sn;//
@property (nonatomic, copy) NSString* addShareId;//
@property (nonatomic, assign) NSInteger fileType;
@property (nonatomic, assign) NSInteger platformType;
@property (nonatomic, assign) NSInteger expirationStatus;//过期状态 0=有效 1=失效
@property (nonatomic, copy) NSString* expirationTime;//
@property (nonatomic, copy) NSString* createTime;
          
@property (nonatomic, strong) NSArray<ShareFileDataModel>* fileListVOS;

//自定义
@property (nonatomic, assign) BOOL isSelectType;
@end

@protocol ShareRecordListModel;
@interface ShareRecordModel : SuperModel
@property (nonatomic, strong) NSArray<ShareRecordListModel>* data;;
@end

NS_ASSUME_NONNULL_END
